package fr.marouse.mapper;

import fr.marouse.dto.AgentDTO;
import fr.marouse.entity.Agent;

public class AgentMapper {

    public static AgentDTO toDTO(Agent entity) {
        if (entity == null) return null;

        AgentDTO dto = new AgentDTO();
        dto.setNumAgent(entity.getNumAgent());
        dto.setNomAgent(entity.getNomAgent());
        dto.setPrenomAgent(entity.getPrenomAgent());
        dto.setSalaire(entity.getSalaire());
        dto.setEstDirecteur(entity.isEstDirecteur());
        return dto;
    }

    public static Agent toEntity(AgentDTO dto) {
        if (dto == null) return null;

        Agent entity = new Agent();
        entity.setNomAgent(dto.getNomAgent());
        entity.setPrenomAgent(dto.getPrenomAgent());
        entity.setSalaire(dto.getSalaire());
        entity.setEstDirecteur(dto.isEstDirecteur());
        return entity;
    }
}
